gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.Overlay

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A simple container that can display overlaid widgets

Synopsis

- data Overlay
- class BinClass o => OverlayClass o
- castToOverlay :: GObjectClass obj => obj -> Overlay
- gTypeOverlay :: GType
- toOverlay :: OverlayClass o => o -> Overlay
- overlayNew :: IO Overlay
- overlayAdd :: (OverlayClass self, WidgetClass widget) => self -> widget -> IO ()

# Detail

The Overlay widget is a Bin widget where widgets can be added as overlay of the bin widget.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Overlay

# Types

data Overlay Source #

#### Instances

Instances details

Eq Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Overlay -> Overlay -> Bool Source # (/=) :: Overlay -> Overlay -> Bool Source #
Ord Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: Overlay -> Overlay -> Ordering Source # (<) :: Overlay -> Overlay -> Bool Source # (<=) :: Overlay -> Overlay -> Bool Source # (>) :: Overlay -> Overlay -> Bool Source # (>=) :: Overlay -> Overlay -> Bool Source # max :: Overlay -> Overlay -> Overlay Source # min :: Overlay -> Overlay -> Overlay Source #
GObjectClass Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Overlay -> GObject Source # unsafeCastGObject :: GObject -> Overlay Source #
BinClass Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types
OverlayClass Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class BinClass o => OverlayClass o Source #

#### Instances

Instances details

OverlayClass Overlay Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToOverlay :: GObjectClass obj => obj -> Overlay Source #

gTypeOverlay :: GType Source #

toOverlay :: OverlayClass o => o -> Overlay Source #

# Constructors

overlayNew :: IO Overlay Source #

Create a new `Overlay`

overlayAdd Source #

Arguments

:: (OverlayClass self, WidgetClass widget) |
=> self |
-> widget | `widget` - a widget to be placed as overlay
-> IO () |